html {
    box-sizing: border-box;
  }
  
  *,
  *::before,
  *::after {
    box-sizing: inherit;
  }
  
  a {
    color: inherit;
    text-decoration: none;
  }
  
  img {
    max-width: 100%;
  }
  
  body {
    margin: 0;
    min-width: 320px;
    font-family: Roboto, sans-serif;
    background-color: var(--white);
  }
  
  /* global */
  
  .list-reset {
    margin: 0;
    padding: 0;
    list-style: none;
  }
  
  .btn-reset {
    padding: 0;
    border: none;
    outline: none;
    background-color: transparent;
    cursor: pointer;
  }

  .main {
    padding: 50px 75px;
  }

  .title {
    margin: 0;
    margin-bottom: 50px;
    font-size: 45px;
  }

  .content {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
  }

  .block {
    display: flex;
    flex-direction: column;
    width: 300px;
    height: 250px;
    padding: 35px 30px 35px 30px;
    border-radius: 16px;
    background: #fff;
    color: #000;
    box-shadow: 0px 0px 6px 0px #0000003b;
  }

  .block:first-child {
    cursor: pointer;
  }

  .block__title {
    margin: 0;
    margin-bottom: 10px;
    font-size: 35px;
    font-weight: 700;
  }

  .block__descr {
    margin: 0;
    margin-bottom: auto;
    font-size: 18px;
    font-weight: 400;
}

.start-block {
    position: absolute;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 100%;
    top: 0;
    left: 0;
    z-index: 2;
    background: #fff;
}

.start-block_active {
    display: flex;
}

.start-block__close {
    position: absolute;
    top: 75px;
    right: 75px;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.start-block__close > svg {
    width: 100%;
    height: 100%;
}

.start-block__div {
    padding: 40px 30px;
    max-width: 850px;
    width: 100%;
    min-height: 500px;
    border-radius: 32px;
    background: #fff;
    color: #000;
    box-shadow: 0px 0px 6px 0px #0000003b;
}

.start-block__title {
    margin: 0;
    margin-bottom: 10px;
    font-size: 45px;
    font-weight: 400;
}

.start-block__descr {
    margin: 0;
    font-size: 18px;
    font-weight: 300;
    margin-bottom: 50px;
}

.start-block__setting {
    display: none;
}

.start-block__subtitle {
    margin: 0;
    margin-bottom: 20px;
    font-weight: 400;
    font-size: 25px;
}

.start-block__checkbox {
    position: absolute;
    z-index: -10;
    opacity: 0;
}

.start-block__list {
    margin-bottom: 25px;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.start-block__label {
    padding: 10px;
    border-radius: 10px;
    font-weight: 400;
    font-size: 20px;
    line-height: 20px;
    cursor: pointer;
    transition: background 0.2s ease-in, color 0.2s ease-in;
}

.start-block__label:hover {
    background: rgba(255,255,255,0.3);
}

.start-block__checkbox:checked + .start-block__label {
    background: rgba(255,255,255,1);
    color: #000000;
}

.start-block__span {
    display: block;
    margin: 0;
    margin-bottom: 25px;
    font-size: 16px;
    font-weight: 300;
}

.start-block__textarea {
    width: 100%;
    min-height: 150px;
    resize: vertical;
    border: none;
    padding: 15px;
    border-radius: 16px;
    margin-bottom: 25px;
    font-size: 16px;
    font-weight: 300;
}

.start-block__number {
    width: 100%;
    border: none;
    padding: 15px;
    border-radius: 16px;
    margin-bottom: 25px;
    font-size: 16px;
    font-weight: 300;
}

.start-block__btn {
    margin-top: 30px;
    width: 100%;
    text-align: center;
    padding: 15px 30px;
    font-size: 20px;
    font-weight: 300;
    border-radius: 10px;
    background: #000;
    color: #fff;
    transition: background 0.3s ease-in;
}

.start-block__btn:hover {
    background: rgba(0,0,0,0.9);
}

.start-block__btn:active {
    background: rgba(0,0,0,0.7);
}

.work {
    padding: 10px;
    position: fixed;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 2;
    background: #fff;
}

.work_active {
    display: flex;
}

.work__close {
    position: absolute;
    top: 75px;
    right: 75px;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.work__close > svg {
    width: 100%;
    height: 100%;
}

.work__word {
    margin: 0;
    margin-bottom: 30px;
    font-size: 25px;
    font-weight: 400;
    text-align: center;
}

.work__input {
    width: 100%;
    border: 1px solid #000;
    padding: 15px;
    border-radius: 16px;
    margin-bottom: 25px;
    font-size: 16px;
    font-weight: 300;
}

.work__btn {
    margin-top: 15px;
    width: 100%;
    text-align: center;
    padding: 15px 30px;
    font-size: 20px;
    font-weight: 300;
    border-radius: 10px;
    background: #000;
    color: #fff;
    transition: background 0.3s ease-in;
}

.work__btn:hover {
    background: rgba(0,0,0,0.9);
}

.work__btn:active {
    background: rgba(0,0,0,0.7);
}

.work__line-div {
    position: relative;
    width: 100%;
    height: 15px;
    margin-bottom: 10px;
}

.work__line {
    position: absolute;
    width: 0;
    height: 100%;
    border-radius: 10px;
    background: #48c943;
}

.work__progress {
    position: absolute;
    z-index: 3;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.work__btns {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.work_check__btn {
    padding: 10px 15px;
    border-radius: 10px;
    background: #8ba2ce;
    color: #fff;
    font-weight: 700;
    font-size: 18px;
    transition: background 0.3s linear;
}

.work_check__btn:hover {
    background: #768cb4;
}

.work_check__btn:active {
    background: #516180;
}

.hidden {
    position: absolute;
    z-index: -10;
    opacity: 0;
}

.all {
    background: linear-gradient(347deg, rgba(186,42,72,1) 13%, rgba(223,63,96,1) 99%);
    color: #fff;
}

.mistakes {
    display: none;
    background: linear-gradient(347deg, rgba(186,42,72, 0.8) 13%, rgba(223,63,96, 0.8) 99%);
    color: #fff;
}

.mistakes_active {
    display: flex;
}

.nine {
    background: linear-gradient(347deg, rgba(167,47,226,1) 13%, rgba(223,63,96,1) 99%);
    color: #fff;
}

.ten {
    background: linear-gradient(347deg, rgba(77,47,226,1) 13%, rgba(167,47,226,1) 99%);
    color: #fff;
}

.eleven {
    background: linear-gradient(347deg, rgba(47, 126, 226, 1) 13%, rgba(77,47,226,1) 99%);
    color: #fff;
}

.four {
    background: linear-gradient(347deg, rgba(64,215,198,1) 13%, rgba(47,126,226,1) 99%);background: linear-gradient(347deg, rgba(64,215,198,1) 13%, rgba(47,126,226,1) 99%);
    color: #fff;
}

@media(max-width: 500px) {
    .main {
        position: relative;
        padding: 0;
    }
    
    .title {
        padding: 10px;
        padding-bottom: 0;
        font-size: 30px;
        margin-bottom: 25px;
    }

    .content {
        justify-content: center;
        padding: 10px;
    }

    .start-block__div {
        padding: 20px;
        border-radius: 0;
        width: 100%;
        min-height: 100%;
    }

    .start-block__close {
        top: 20px;
        right: 20px;
    }

    .work__close {
        top: 20px;
        right: 20px;
    }

}